.productItem-wrap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 60px;
    position: relative;
    width: 100%;
    height: 100%;
}


.productItem-wrap img.productItem-img {
    width: 100%;
    height: 100%;
}

.productItem-title {
    height: 60px;
    overflow-y: hidden;
}

.productItem-oldPrice {
    text-decoration: line-through;
    font-size: 14px;
    color: black;
    margin-right: 8px;
    text-align: center;
}

.productItem-title {
    display: block;
    text-align: center;
}

a.productItem-title h4 {
    margin: 20px 0 10px 0;
    font-weight: 500;
}

.productItem-price {
    font-weight: 700;
    font-size: 18px;
    color: red;
    text-align: center;
}

.product__filter {
    margin-top: 20px;
}

.product__filter button {
    padding: 10px 40px;
    margin-left: 20px;
    color: black;
    border-radius: 5px;
    border: 1px solid black;
    background-color: white;
    font-size: 1.2rem;
    font-weight: 700;
}

.product__filter button:active {
    background-color: black;
    color: white;
}

.productItem-wrap a {
    text-decoration: none;
    color: black;
    margin: 0;
}

.productItem-title h4:hover {
    color: gray;
}

.productItem-wrap:hover {
    box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 24px,
        rgba(0, 0, 0, 0.05) 0px 1px 2px;
}

.productItem-img-a:hover+.productItem-addCart,
.productItem-addCart:hover {
    display: block;
}

a.productItem-img-a {
    padding: 20px;
}

.productItem-addCart {
    position: absolute;
    top: 62%;
    left: 0;
    right: 0;
    padding: 8px;
    border-radius: 5px;
    border: 1px solid black;
    background-color: black;
    color: white;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
    cursor: pointer;
}

.productItem-addCart:hover {
    background-color: #fe9614;
    border: 1px solid #fe9614;
}

.productItem-review {
    display: flex;
    justify-content: flex-end;
}

.productItem-review button {
    border: none;
    background: white;
    cursor: pointer;
}

.productItem-review button:hover {
    color: #ccc;
}

.productItem-img_wrap {
    position: relative;
}

.productItem-img_soldOut {
    position: absolute;
    top: 0;
    right: 0;
    background-color: #bd363f;
    color: white;
    border-radius: 5px;
    padding: 5px;
    font-size: 12px;
}

.p-style {
    margin-left: 400px;
    font-size: 2rem;
    color: #ccc;
    width: 500px;
}

/* Mobile & Tablet */
@media (max-width:1023px) {}

/* Tablet */
@media (min-width:740px) and (max-width:1023px) {

    a.productItem-title h4 {
        font-size: 1.1rem;
    }

    .productItem-oldPrice {
        font-size: 1.2rem !important;
    }

    .productItem-price {
        font-size: 1.1rem !important;
    }

    .p-style {
        margin-left: 220px !important;
        font-size: 1.5rem !important;
        width: 400px !important;
    }
}


/* Mobile */
@media (max-width:739px) {

    .productItem-title {
        height: 80px !important;
    }

    .productItem-wrap {
        margin-bottom: 0px !important;
    }

    .productItem-title h4 {
        font-size: 1rem;
    }

    .productItem-oldPrice {
        font-size: 1rem !important;
    }

    .productItem-price {
        font-size: 1.2rem !important;
    }

    .productItem-addCart {
        top: 59% !important;
    }

    .p-style {
        margin-left: 80px !important;
        font-size: 0.8rem !important;
        width: 200px !important;
    }

}